Project

Profile

Help

Backport #9668

closed

Backport #9665: Make the `adjust_roles` function accessible via plugin api

Added by dkliban@redhat.com about 1 year ago. Updated about 1 year ago.

Status:
CLOSED - CURRENTRELEASE
Priority:
Normal
Assignee:
Category:
-
Sprint/Milestone:
Start date:
Due date:
% Done:

100%

Estimated time:
Triaged:
No
Sprint Candidate:
No
Tags:
Sprint:
Sprint 111
Quarter:

Description

While migrating to the Roles backend I find I need to access adjust_roles [1] and CI throws an error when accessing it via from pulpcore.app.apps import adjust_roles [2].

[1] https://github.com/pulp/pulpcore/blob/main/pulpcore/app/apps.py#L269 [2] https://github.com/ansible/galaxy_ng/runs/4731797454?check_suite_focus=true


Related issues

Copied from Pulp - Issue #9665: Make the `adjust_roles` function accessible via plugin apiCLOSED - DUPLICATEmdellwegActions

Also available in: Atom PDF